Difference between revisions of "Draft Facebinder"

From FreeCAD Documentation
Jump to: navigation, search
m
m (Docnav)
 
(14 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
<translate>
 
<translate>
 +
<!--T:21-->
 +
{{Docnav|[[Draft_ShapeString|ShapeString]]|[[Draft_BezCurve|Bezier Curve]]|[[Draft_Module|Draft]]|IconL=Draft_ShapeString.svg |IconC=Workbench_Draft.svg|IconR=Draft_BezCurve.svg }}
 +
 
<!--T:1-->
 
<!--T:1-->
 
{{GuiCommand
 
{{GuiCommand
 
|Name=Draft Facebinder
 
|Name=Draft Facebinder
 +
|MenuLocation=Draft → Facebinder
 
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
 
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|MenuLocation=Draft → Facebinder
 
 
|Shortcut=F F
 
|Shortcut=F F
 +
|SeeAlso=[[Part Box]], [[Arch Wall]]
 
|Version=0.14
 
|Version=0.14
|SeeAlso=[[Part Box]], [[Arch Wall]]}}
+
}}
  
 
==Description== <!--T:2-->
 
==Description== <!--T:2-->
Line 15: Line 19:
 
The Facebinder tool creates a surface object from the selected faces of a solid object. It is parametric, meaning that if you modify the original object, the Facebinder updates accordingly. If you move and rotate the Facebinder, it will stay linked to the original faces.
 
The Facebinder tool creates a surface object from the selected faces of a solid object. It is parametric, meaning that if you modify the original object, the Facebinder updates accordingly. If you move and rotate the Facebinder, it will stay linked to the original faces.
  
 +
<!--T:12-->
 
It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.
 
It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.
  
Line 20: Line 25:
 
[[Image:Draft facebinder example.jpg|400px]]
 
[[Image:Draft facebinder example.jpg|400px]]
 
<translate>
 
<translate>
 +
<!--T:13-->
 +
{{Caption|Facebinder created from the faces of solid walls}}
  
 
==How to use== <!--T:4-->
 
==How to use== <!--T:4-->
Line 27: Line 34:
 
# Press the {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}} button, or press {{KEY|F}} then {{KEY|F}} keys.
 
# Press the {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}} button, or press {{KEY|F}} then {{KEY|F}} keys.
  
The faces that are part of the Facebinder can be changed after creation, by double clicking on the element, and adding or removing faces with the {{Button|[[Image:Arch_Add.svg|16px]] Add}} or {{Button|[[Image:Arch_Remove.svg|16px]] Remove}} buttons.
+
<!--T:14-->
 +
The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.
 +
* To add a face, click on a face of a solid object in the 3D view, and then click on the {{Button|[[Image:Arch_Add.svg|16px]] Add}} button.
 +
* To remove a face, select one of the sub-elements in the list, and then click on the {{Button|[[Image:Arch_Remove.svg|16px]] Remove}} button.
 +
* Press {{KEY|Esc}} or the {{Button|OK}} button to complete the edition.
  
== Options ==
+
== Options == <!--T:15-->
 
This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.
 
This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.
  
== Properties ==
+
== Properties == <!--T:16-->
 
=== Data ===
 
=== Data ===
 
* {{PropertyData|Extrusion}}: specifies an extrusion thickness to apply to all faces of the shape.
 
* {{PropertyData|Extrusion}}: specifies an extrusion thickness to apply to all faces of the shape.
Line 38: Line 49:
 
* {{PropertyData|Sew}}: if it is {{TRUE}} it tries to perform a topological sewing operation on the Facebinder when it extruded.
 
* {{PropertyData|Sew}}: if it is {{TRUE}} it tries to perform a topological sewing operation on the Facebinder when it extruded.
  
=== View ===
+
=== View === <!--T:17-->
 
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyView|Display Mode}} is "Flat Lines".
 
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyView|Display Mode}} is "Flat Lines".
 
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
 
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
  
 
==Scripting== <!--T:6-->
 
==Scripting== <!--T:6-->
{{emphasis|See also:}} [[FreeCAD Scripting Basics]], [[Draft API]], and the [https://www.freecadweb.org/api autogenerated API documentation].
+
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
  
 
<!--T:7-->
 
<!--T:7-->
Line 53: Line 64:
 
<translate>
 
<translate>
 
<!--T:8-->
 
<!--T:8-->
* Creates a Facebinder object from the given {{incode|selectionset}}, which is a list of {{incode|SelectionObject}}s such as those returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}.
+
* Creates a {{incode|Facebinder}} object from the given {{incode|selectionset}}, which is a list of {{incode|SelectionObject}}s such as those returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}.
* Only selected faces are taken into account
+
* Only selected faces are taken into account.
  
 +
<!--T:18-->
 
The thickness of the ShapeString can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.
 
The thickness of the ShapeString can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.
  
 +
<!--T:19-->
 
The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
 
The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
  
Line 82: Line 95:
 
}}
 
}}
 
<translate>
 
<translate>
 +
 +
<!--T:20-->
 +
{{Docnav|[[Draft_ShapeString|ShapeString]]|[[Draft_BezCurve|Bezier Curve]]|[[Draft_Module|Draft]]|IconL=Draft_ShapeString.svg |IconC=Workbench_Draft.svg|IconR=Draft_BezCurve.svg }}
 +
 +
<!--T:22-->
 
{{Draft Tools navi}}
 
{{Draft Tools navi}}
 +
 +
<!--T:23-->
 
{{Userdocnavi}}
 
{{Userdocnavi}}
 
</translate>
 
</translate>
 
{{clear}}
 
{{clear}}

Latest revision as of 21:55, 11 February 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString

Draft Facebinder.svg Draft Facebinder

Menu location
Draft → Facebinder
Workbenches
Draft, Arch
Default shortcut
F F
Introduced in version
0.14
See also
Part Box, Arch Wall


Description

The Facebinder tool creates a surface object from the selected faces of a solid object. It is parametric, meaning that if you modify the original object, the Facebinder updates accordingly. If you move and rotate the Facebinder, it will stay linked to the original faces.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Draft facebinder example.jpg

Facebinder created from the faces of solid walls


How to use

  1. Pick one face, or hold Ctrl and pick several faces, from solid objects.
  2. Press the Draft Facebinder.png Facebinder button, or press F then F keys.

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Arch Add.svg Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Arch Remove.svg Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DATAExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DATARemove Splitter: if it is True it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DATASew: if it is True it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Facebinder tool can be used in macros and from the Python console by using the following function:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Creates a Facebinder object from the given selectionset, which is a list of SelectionObjects such as those returned by FreeCADGui.Selection.getSelectionEx().
  • Only selected faces are taken into account.

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Example:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString